# Sample PySys testcase
# Copyright (c) 2015-2016, 2018 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors. 
# Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG 

from pysys.constants import *
from apama.basetest import ApamaBaseTest
from apama.correlator import CorrelatorHelper
from apama.build import antBuild


class PySysTest(ApamaBaseTest):

	def execute(self):
		antBuild(self, PROJECT.TEST_SUBJECT_DIR+'/java_monitor/stockwatch/build.xml')
		
		# create the correlator helper, start the correlator and attach a receiver
		correlator = CorrelatorHelper(self)
		correlator.start(logfile='correlator.log', java=True)
		correlator.receive(filename='receive.evt')
		
		# inject the stockwatch jmon application into the correlator - note that
		# jar needs to have been built already
		correlator.injectJava('stockwatch-jmon.jar', filedir=self.output+'/build')
		
		# send the test events into the correlator
		correlator.send(filenames=['stockwatch-feed.evt'], filedir=PROJECT.TEST_SUBJECT_DIR+'/java_monitor/stockwatch')
		
		# wait until all the events have been processed and acknowledged by the
		# the receiver
		correlator.flush()

	def validate(self):
		# check the received events against the reference
		self.assertDiff('receive.evt', 'ref_receive.evt')
		
