# Sample PySys testcase
# Copyright (c) 2016, 2018 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors. 
# Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG 

from pysys.constants import *
from apama.basetest import ApamaBaseTest
from apama.correlator import CorrelatorHelper

class PySysTest(ApamaBaseTest):

	def execute(self):
		correlator = CorrelatorHelper(self, name='testcorrelator')
		
		# start the correlator using the init.yaml file for injections and event sending
		correlator.start(
			logfile=correlator.name+'.log', 
			config=[self.input+'/init.yaml'],
			)

		# wait for all events to be processed
		self.waitForSignal('testcorrelator.log', expr="Received simple event with message", condition=">=2")
		
	def validate(self):
		# look for log statements in the correlator log file
		self.assertGrep('testcorrelator.log', expr=' (ERROR|FATAL) .*', contains=False)
		
		exprList = []
		exprList.append('Received simple event with message - This is the first simple event')
		exprList.append('Received simple event with message - This is the second simple event')
		self.assertOrderedGrep('testcorrelator.log', exprList=exprList)
